
! exemplo de uso do Wgnuplot 

! dados.gnu = arquivo com comandos a serem
!             interpretados pelo Wgnuplot

! dados = arquivo de dados a serem mostrados pelo
!         programa Notepad (do Windows) e a ser
!         visualizado no Wgnuplot

use msflib ! biblioteca que contem o comando systemqq

logical chamada
external f1
 open(1,file='inpbis1.txt')
 open(8,file='dados.txt')
 open(9,file='dados1.txt')
 open(10,file='dados2.txt')
 open(11,file='dados3.txt')
 open(12,file='out-sec.txt')
 open(13,file='out-bis.txt')
!
!	Leitura de dados
!
      read(1,*)a,b
      write(*,*)'a= ',a,'b=',b
      read (1,*) maxit
      write(*,*)'maxit= ',maxit
      read(1,*)tol
      write(*,*)'tol= ',tol
	  x=b
	  x1=a
	  x2=b
!
!       solucao
!
	call bissec	(a,b,maxit,tol,c)
!	cn=rtnewt(f1,x1,tol,maxit) 
	call secante(x1,x2,maxit,tol,c)
!	call iterfunc(x1,maxit,tol,c)


close(8)

close(9)

close(10)

close(11)

close(12)

close(13)

! chamada = systemqq('edit dados.txt')       ! listagem dos dados

 chamada = systemqq('notepad dados.txt')       ! listagem dos dados

 chamada = systemqq('notepad dados1.txt')       ! listagem dos dados

  chamada = systemqq('notepad dados2.txt')       ! listagem dos dados

  chamada = systemqq('notepad dados3.txt')       ! listagem dos dados

 chamada = systemqq('wgnuplot dados.gnu')  ! gráfico

end
